Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreSkeleton.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreQuaternion.h"`
`#include "OgreVector3.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | OGRE_MAX_NUM_BONES 256
## Enumerations
enum | SkeletonAnimationBlendMode { ANIMBLEND_AVERAGE, ANIMBLEND_CUMULATIVE }

## Define Documentation

#define OGRE_MAX_NUM_BONES 256

| Definition at line 50 of file OgreSkeleton.h.

## Enumeration Type Documentation

enum Ogre::SkeletonAnimationBlendMode

  | Enumeration values:
  ANIMBLEND_AVERAGE | Animations are applied by calculating a weighted average of all animations.
  ANIMBLEND_CUMULATIVE | Animations are applied by calculating a weighted cumulative total.
Definition at line 43 of file OgreSkeleton.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007